Create Inclined Circle in Rhino

Hello all,

I need to create inclined circles in Rhino. I am writing a python script myself. I don’t know how I can go about using the “rs.AddCirlce” to create these, as it only creates the circles on the planes.

Thanks for your help

You mean circes on an inclined plane? Just supply the correct plane, but you might have to construct it first. You can use any of the “PlaneFrom” methods to do so, for example.

I want he circles to be inclined, and not on xy plane

@rgr suggested an inclined plane (which doesn’t have to be the XY plane) which can be as inclined as you wish, and then draw your circle on that (inclined) plane.

// Rolf

Done, Thanks for the suggestions.